%define upstream_name    Morpheus
%define upstream_version 0.43

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extra plugins - Env and File
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(DBI)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(JSON)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Symbol)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(overload)
BuildArch:  noarch

%description
Morpheus is a configuration engine that completely separates config
consumers from config providers.

Consumers can obtain configuration values by using this module or the morph
manpage script. Configuration values are binded to various nodes in the
global config tree, similar to virtual file system. Consumers can ask for
any node or for any subtree.

Providers are plugins which can populate configuration tree from any
sources: local configuration files, configuration database, environment,
etc. The overall program configuration is merged together from all data
provided by plugins.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/morph
/usr/share/man/man1/morph.1.xz

%changelog

* Thu Dec 08 2011 kharec <kharec> 0.430.0-1.mga2
+ Revision: 179222
- update to 0.43

* Mon Nov 07 2011 kharec <kharec> 0.420.0-1.mga2
+ Revision: 165047
- update to 0.42

* Mon Nov 07 2011 kharec <kharec> 0.410.0-1.mga2
+ Revision: 165021
- imported package perl-Morpheus


* Mon Nov 07 2011 cpan2dist 0.41-1mga
- initial mageia release, generated with cpan2dist
